Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class DerivedYear

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.type.SOMType
                  |
                  +--com.bea.schema.type.SOMElementalType
                        |
                        +--com.bea.schema.type.PrimitiveRecurringDuration
                              |
                              +--com.bea.schema.type.DerivedTimePeriod
                                    |
                                    +--com.bea.schema.type.DerivedYear

Deprecated. 3/16/2001

public class DerivedYear
extends DerivedTimePeriod

year represents a timePeriod that starts at the midnight that starts the first day of the year and ends at the midnight that ends the last day of the year. The value space of year is the set of Gregorian calendar years as defined in § 5.2.1 of [ISO 8601]. Specifically, it is a set of one-year long, non-periodic instances e.g. lexical 1999 to represent the whole year 1999, independent of how many months and days this year has. The base type of year is timePeriod. year is generated from timePeriod by fixing the value of the duration facet equal to "P1Y".

year has the following constraining facets:

- duration
- period
- pattern
- enumeration
- whiteSpace
- maxInclusive
- maxExclusive
- minInclusive
- minExclusive

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  W3C XML Schema year, Serialized Form

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`DerivedYear()` Deprecated.

Method Summary
`java.lang.String` | `getID()` Deprecated.

Methods inherited from class com.bea.schema.type.PrimitiveRecurringDuration
`getAllowedFacets`

Methods inherited from class com.bea.schema.type.SOMElementalType
`createDefault, getTypeRestrictions, isSchemaChild, isValid`

Methods inherited from class com.bea.schema.type.SOMType
`getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DerivedYear

    public DerivedYear()

  Deprecated.

Method Detail

### getID

    public java.lang.String getID()

  Deprecated.

  Overrides:
    getID in class DerivedTimePeriod

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)